﻿' ---------------------------------------------------------------------------------------
'
' Kuehlschrank2                                                    Ulrich Müller 05.08.10
'                                                                  Aspire VB 2005 Express
' Sobald die Kühlschranktür geöffnet wird, soll die weiße Lampe leuchten.
' Wird die Tür geschlossen, erlischt die Lampe.
' Ist die Kühlschranktür länger als 3 Sekunden offen, soll außerdem die rote Warnlampe
' blinken. Sie erlischt ebenfalls, wenn die Kühlschranktür geschlossen wird.
'
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports System.Threading
Imports FishFace40

Module Kuehlschrank2
	Dim LampeWeiss As New Thread(AddressOf LampeWeissAn)
	Dim LampeRot As New Thread(AddressOf LampeRotBlinken)
	Dim fl As New FishFace()

	Sub Main()
		Console.WriteLine("--- Gestartet : Abbruch mit ESC-Taste ---")
		fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)
		LampeWeiss.Start()
		LampeRot.Start()

		LampeWeiss.Join()
		LampeRot.Join()
		fl.CloseInterface()
		Console.WriteLine("--- Schließen : Return-Taste ---")
		Console.ReadLine()
	End Sub
	Private Sub LampeWeissAn()
		Do
			If fl.GetInput(Inp.I1) = False Then
				fl.SetMotor(Out.M1, Dir.Ein)
			Else
				fl.SetMotor(Out.M1, Dir.Aus)
			End If
		Loop Until fl.Finish()
	End Sub
	Private Sub LampeRotBlinken()
		Do
			fl.WaitForInput(Inp.I1, False)
			fl.Pause(3000)
			Do Until fl.GetInput(Inp.I1) Or fl.Finish()
				fl.SetMotor(Out.M2, Dir.Ein)
				fl.Pause(500)
				fl.SetMotor(Out.M2, Dir.Aus)
				fl.Pause(500)
			Loop
		Loop Until fl.Finish()
	End Sub
End Module
