﻿' ---------------------------------------------------------------------------------------
'
' Ampel2                                                           Ulrich Müller 11.08.10
'                                                                  Win764 VB 2010 Express
' Fußgängerampel wie 1. Das Ende der Fußphase wird hier durch dreimaliges 
' Grünblinke angezeigt.
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40
Module Ampel2
    Dim fl As New FishFace()
    Const Rot As Out = Out.M1
    Const Gruen As Out = Out.O2
    Const Anforderung As Inp = Inp.I1

    Sub Main()
        Console.WriteLine("--- Ampel starten : Anforderungs-Taster ---")
        Console.WriteLine("--- Ende : ESC-Taste ---")
        fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)

        fl.SetMotor(Rot, Dir.Ein)
        Do
            If fl.GetInput(Anforderung) Then
                Console.WriteLine("Signal kommt")
                fl.Pause(5000)
                fl.SetMotor(Rot, Dir.Aus)
                fl.SetMotor(Gruen, Dir.Ein)
                fl.Pause(10000)

                For i As Integer = 1 To 3
                    fl.SetMotor(Gruen, Dir.Aus)
                    fl.Pause(1000)
                    fl.SetMotor(Gruen, Dir.Ein)
                    fl.Pause(1000)
                Next

                fl.SetMotor(Rot, Dir.Ein)
                fl.SetMotor(Gruen, Dir.Aus)
            End If
        Loop Until fl.Finish()

        fl.CloseInterface()
        Console.WriteLine("--- Schließen : Return-Taste ---")
        Console.ReadLine()
    End Sub

End Module
