﻿' ---------------------------------------------------------------------------------------
'
' LeuchtTurm3                                                      Ulrich Müller 11.08.10
'                                                                  Win764 VB 2010 Express
' Leuchtturmbefeuerung nach dem Blinkprinzip. Die beiden Lampen mit unterschiedlicher
' Dauer unabhängig von einander (jeweils in eigenen Threads)
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports System.Threading
Imports FishFace40
Module LeuchtTurm3
    Dim Lampe1 As New Thread(AddressOf Lampe1Blinken)
    Dim Lampe2 As New Thread(AddressOf Lampe2Blinken)
    Dim fl As New FishFace()

    Sub Main()
        Console.WriteLine("--- Gestartet : Abbruch mit ESC-Taste ---")
        fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)
        Lampe1.Start()
        Lampe2.Start()

        Lampe1.Join()
        Lampe2.Join()
        fl.CloseInterface()
        Console.WriteLine("--- Schließen : Return-Taste ---")
        Console.ReadLine()
    End Sub
    Private Sub Lampe1Blinken()
        Do
            fl.SetMotor(Out.M1, Dir.Ein)
            fl.Pause(2000)
            fl.SetMotor(Out.M1, Dir.Aus)
            fl.Pause(3000)
        Loop Until fl.Finish()
    End Sub
    Private Sub Lampe2Blinken()
        Do
            fl.SetMotor(Out.M2, Dir.Ein)
            fl.Pause(3000)
            fl.SetMotor(Out.M2, Dir.Aus)
            fl.Pause(5000)
        Loop Until fl.Finish()
    End Sub
End Module
