﻿' ---------------------------------------------------------------------------------------
'
' Waschmaschine1                                                   Ulrich Müller 11.08.10
'                                                                  Win764 VB 2010 Express
' Nach dem Betätigen des Starttasters dreht sich die Trommel langsam 10 Sekunden lang.
' Die Anzeige (Lampe an M2) zeigt den Betrieb der Maschine an.
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40
Module Waschmaschine1
    Dim fl As New FishFace()
    Const Motor As Out = Out.M1
    Const Anzeige As Out = Out.M2
    Const Starter As Inp = Inp.I1

    Sub Main()
        Console.WriteLine("--- Gestartet : Abbruch mit ESC-Taste ---")
        fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)
        Do
            Console.WriteLine("--- Start Waschgang : I1-Taster ---")
            fl.WaitForInput(Starter)
            fl.SetMotor(Anzeige, Dir.Ein)
            fl.SetMotor(Motor, Dir.Rechts, Speed.L2)
            fl.Pause(10000)
            fl.SetMotor(Motor, Dir.Aus)
            fl.SetMotor(Anzeige, Dir.Aus)
            fl.Pause(1000)
        Loop Until fl.Finish()
        fl.CloseInterface()
        Console.WriteLine("--- Schließen : Return-Taste ---")
        Console.ReadLine()
    End Sub

End Module
