﻿' ---------------------------------------------------------------------------------------
'
' Treppenhaus1                                                     Ulrich Müller 06.08.10
'                                                                  Aspire VB 2005 Express
' Sobald einer der beiden Taster gedrückt wird, soll das Treppenhauslicht angehen
' Nach 10 Sekunden soll es automatisch ausgehen.
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40
Module Treppenhaus1
	Dim fl As New FishFace()

	Sub Main()
		Console.WriteLine("--- Treppenhauslicht : gestartet ---")
		Console.WriteLine("--- Ende : ESC-Taste ---")
		fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)

		Do
			If fl.GetInput(Inp.I1) Or fl.GetInput(Inp.I2) Then
				fl.SetMotor(Out.M1, Dir.Ein)
				fl.Pause(10000)
			Else
				fl.SetMotor(Out.M1, Dir.Aus)
			End If
		Loop Until fl.Finish()

		fl.CloseInterface()
		Console.WriteLine("--- Schließen : Return-Taste ---")
		Console.ReadLine()
	End Sub

End Module
