﻿' ---------------------------------------------------------------------------------------
'
' Treppenhaus2                                                     Ulrich Müller 06.08.10
'                                                                  Aspire VB 2005 Express
' Das Treppenhauslicht soll sowohl mit den Tastern, als auch durch eine Lichtschranke,
' eingeschaltet werden können. Nach 10 Sekunden soll es automatisch ausgehen.
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40
Module Treppenhaus2
	Dim fl As New FishFace()

	Sub Main()
		Console.WriteLine("--- Treppenhauslicht : gestartet ---")
		Console.WriteLine("--- Ende : ESC-Taste ---")
		fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)
		fl.SetMotor(Out.M2, Dir.Ein)
		fl.Pause(500)

		Do
			If fl.GetInput(Inp.I1) Or fl.GetInput(Inp.I2) Or Not fl.GetInput(Inp.I3) Then
				fl.SetMotor(Out.M1, Dir.Ein)
				fl.Pause(10000)
			Else
				fl.SetMotor(Out.M1, Dir.Aus)
			End If
		Loop Until fl.Finish()

		fl.CloseInterface()
		Console.WriteLine("--- Schließen : Return-Taste ---")
		Console.ReadLine()
	End Sub

End Module
