﻿' ---------------------------------------------------------------------------------------
'
' Ampel1                                                           Ulrich Müller 11.08.10
'                                                                  Win764 VB 2010 Express
' Fußgängerampel : Anforderung einer "Fußphase" über I1-Taster
' Nach I1-Taster wird 5 Sek. gewartet und dann für 10 Sek. grün geschaltet
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40
Module Ampel1
    Dim fl As New FishFace()

    Sub Main()
        Console.WriteLine("--- Ampel starten : I1-Taster ---")
        Console.WriteLine("--- Ende : ESC-Taste ---")
        fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)

        fl.SetMotor(Out.M1, Dir.Ein)
        Do
            If fl.GetInput(Inp.I1) Then
                Console.WriteLine("Signal kommt")
                fl.Pause(5000)
                fl.SetMotor(Out.M1, Dir.Aus)
                fl.SetMotor(Out.M2, Dir.Ein)
                fl.Pause(10000)
                fl.SetMotor(Out.M1, Dir.Ein)
                fl.SetMotor(Out.M2, Dir.Aus)
            End If
        Loop Until fl.Finish()

        fl.CloseInterface()
        Console.WriteLine("--- Schließen : Return-Taste ---")
        Console.ReadLine()
    End Sub

End Module
