﻿' ---------------------------------------------------------------------------------------
'
' Scheibenwischer3                                                 Ulrich Müller 11.08.10
'                                                                  Win764 VB 2010 Express
' Steuerung Scheibenwischer - Schalter 0 : aus, 1 : Interval, 2 : langsam, 3 : schnell
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40
Module Scheibenwischer3
    Dim fl As New FishFace()

    Sub Main()
        Console.WriteLine("--- Scheibenwischer starten : Schalter auf 1, 2 oder 3 ---")
        Console.WriteLine("--- Ende : ESC-Taste ---")
        fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)

        fl.SetMotor(Out.M2, Dir.Ein)
        fl.Pause(500)
        Do
            If fl.GetInput(Inp.I1) And fl.GetInput(Inp.I2) Then
                fl.SetMotor(Out.M1, Dir.Rechts, Speed.L2)
            ElseIf fl.GetInput(Inp.I1) And Not fl.GetInput(Inp.I2) Then
                fl.SetMotor(Out.M1, Dir.Rechts, Speed.L2)
                fl.WaitForChange(Inp.I3, 4)
                fl.SetMotor(Out.M1, Dir.Aus)
                fl.Pause(2000)
            ElseIf Not fl.GetInput(Inp.I1) And fl.GetInput(Inp.I2) Then
                fl.SetMotor(Out.M1, Dir.Rechts)
            Else
                fl.SetMotor(Out.M1, Dir.Aus)
            End If
        Loop Until fl.Finish()

        fl.CloseInterface()
        Console.WriteLine("--- Schließen : Return-Taste ---")
        Console.ReadLine()
    End Sub

End Module
