﻿' ---------------------------------------------------------------------------------------
'
' Waschmaschine2                                                   Ulrich Müller 11.08.10
'                                                                  Win764 VB 2010 Express
' Wie 1 plus Abfrage Sicherheitsschalter an der Tür
' Robo LT Beginner Lab : Beispielprogramme - Umsetzung nach VB 2005 - Console
' Robo LT Controller   : Betrieb über FishFace2005.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFace40
Module Waschmaschine2
    Dim fl As New FishFace()
    Const Motor As Out = Out.M1
    Const Anzeige As Out = Out.M2
    Const Starter As Inp = Inp.I1
    Const TuerZu As Inp = Inp.I2

    Sub Main()
        Console.WriteLine("--- Gestartet : Abbruch mit ESC-Taste ---")
        fl.OpenInterface(IFTypen.ftROBO_first_USB, 0)
        Do
            Console.WriteLine("--- Start Waschgang : I1-Taster ---")
            Console.WriteLine("--- Tür muß geschlossen sein ---")
            Do
                fl.WaitForInput(Starter)
            Loop Until fl.GetInput(TuerZu)
            fl.SetMotor(Anzeige, Dir.Ein)
            fl.SetMotor(Motor, Dir.Rechts, Speed.L2)
            fl.Pause(10000)
            fl.SetMotor(Motor, Dir.Aus)
            fl.SetMotor(Anzeige, Dir.Aus)
            fl.Pause(1234)
        Loop Until fl.Finish()
        fl.CloseInterface()
        Console.WriteLine("--- Schließen : Return-Taste ---")
        Console.ReadLine()
    End Sub

End Module
